# Merchant

## Get a List of Merchants

> Retrieve a list of merchants with optional filter pagination capabilities.

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"paths":{"/api/demographics/v1/Merchants":{"get":{"tags":["Merchant"],"summary":"Get a List of Merchants","description":"Retrieve a list of merchants with optional filter pagination capabilities.","parameters":[{"name":"PageSize","in":"query","required":true,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"PageNumber","in":"query","required":true,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Returns a list of merchants successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.BusinessListItemWithLinksCollection"}}}},"500":{"description":"Error occurred retrieving data.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}}}}}},"components":{"schemas":{"MerchantDemographics.Api.Models.BusinessListItemWithLinksCollection":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.BusinessListItemWithLinks"},"description":"Contains the list of merchant records and pagination details.","nullable":true},"page":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.Pagination"}},"additionalProperties":false},"MerchantDemographics.Api.Models.BusinessListItemWithLinks":{"type":"object","properties":{"_links":{"type":"object","additionalProperties":{"nullable":true},"description":"Reference link to fetch merchant’s detailed information.","nullable":true,"readOnly":true},"hierarchyNodeKey":{"type":"string","description":"Identifier for the merchant’s hierarchy node.","nullable":true},"dbaName":{"type":"string","description":"Doing-Business-As (DBA) name of the merchant.","nullable":true},"merchantNumber":{"type":"string","description":"Unique merchant identifier.","nullable":true}},"additionalProperties":false},"MerchantDemographics.Api.Models.Pagination":{"type":"object","properties":{"number":{"type":"integer","description":"Current page number in the result.","format":"int32"},"size":{"type":"integer","description":"The number of records returned per page.","format":"int32"},"sort":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.PageSort"},"totalPages":{"type":"integer","description":"Total number of available pages.","format":"int32"},"numberOfElements":{"type":"integer","description":"Number of elements in the current page.","format":"int32"},"totalElements":{"type":"integer","description":"Total number of merchants available.","format":"int32"},"first":{"type":"boolean","description":"Indicates if this is the first page."},"last":{"type":"boolean","description":"Indicates if this is the last page."}},"additionalProperties":false,"description":"Paging information for merchant records."},"MerchantDemographics.Api.Models.PageSort":{"type":"object","properties":{"fields":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"Sorting criteria applied to the results.","nullable":true}},"additionalProperties":false},"MerchantDemographics.Api.Models.ErrorResults":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.BoardingError"},"nullable":true}},"additionalProperties":false},"MerchantDemographics.Api.Models.BoardingError":{"type":"object","properties":{"errorMessage":{"type":"string","description":"Describes the error and provide detailed information on what went wrong during the request processing.","nullable":true},"resultCode":{"type":"integer","description":"Code associated with the error and helps to categorize the error type or severity. (It can be any error code 400/401/501, etc depending upon its type)","format":"int32"},"timeStamp":{"type":"string","description":"DateTime in ISO 8601 format. It is read-only and automatically set to the current date and time.","format":"date-time","readOnly":true},"fieldPath":{"type":"array","items":{"type":"string"},"description":"Field path(s) where the error occurred in a data structure. It can contains any field.","nullable":true}},"additionalProperties":false}}}}
```

## Create a New Merchant

> Creates a new merchant after validating required fields and additional checks, including:> \
> &#x20;   -Required fields: dbaName, hierarchyNodeKey, and userName> \
> &#x20;   -Compliance with business rules and configurations such as paper statement preferences> \
> &#x20;   -MCC (Merchant Category Code) validation> \
> Upon successful validation, the merchant is created and queued for processing.

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"paths":{"/api/demographics/v1/Merchants":{"post":{"tags":["Merchant"],"summary":"Create a New Merchant","description":"Creates a new merchant after validating required fields and additional checks, including:\r\n    -Required fields: dbaName, hierarchyNodeKey, and userName\r\n    -Compliance with business rules and configurations such as paper statement preferences\r\n    -MCC (Merchant Category Code) validation\r\nUpon successful validation, the merchant is created and queued for processing.","requestBody":{"description":"Business model used to create a new merchant.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.Business"}}},"required":true},"responses":{"201":{"description":"Created a merchant successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.BusinessWithLinks"}}}},"400":{"description":"Bad Request: Validation failed due to missing or invalid information (e.g., DBA Name, HierarchyNodeKey, or MCC code).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"401":{"description":"Unauthorized: User does not have the required role or access.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"500":{"description":"Internal Server Error: This could be due to system errors. Please contact support for assistance","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}}}}}},"components":{"schemas":{"MerchantDemographics.Api.Models.Business":{"required":["companyTypeId","dbaName","hierarchyNodeKey","phones","seasonalSchedule"],"type":"object","properties":{"businessID":{"type":"integer","description":"The unique identifier for the business.","format":"int32"},"hierarchyNodeKey":{"minLength":1,"type":"string","description":"The key representing the hierarchy node to which the business belongs."},"dbaName":{"minLength":1,"type":"string","description":"The Doing-Business-As (DBA) name of the merchant."},"merchantNumber":{"type":"string","description":"The merchant's unique identification number.","nullable":true},"emailAddress":{"type":"string","description":"The email address of the business.","nullable":true},"webSite":{"type":"string","description":"The website of the business.","nullable":true},"phones":{"type":"array","items":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.BusinessPhone"},"description":"A list of phone numbers associated with the business."},"acceptsPaperStatements":{"type":"string","description":"Indicates whether the business accepts paper statements.","nullable":true},"acceptsPaperTaxForms":{"type":"string","description":"Indicates whether the business accepts paper tax forms.","nullable":true},"companyTypeId":{"maximum":2147483647,"minimum":1,"type":"integer","description":"The identifier representing the type of the company.","format":"int32"},"isChainMerchant":{"type":"boolean","description":"Indicates whether the business is part of a chain of merchants."},"seasonalSchedule":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.SeasonalSchedule"},"salesInformation":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.SalesInformation"}},"additionalProperties":false},"MerchantDemographics.Api.Models.BusinessPhone":{"required":["areaCode","phoneNumber","phoneTypeCodeID"],"type":"object","properties":{"phoneTypeCodeID":{"type":"string","description":"The code representing the type of contact, such as mobile, office, or home."},"areaCode":{"maxLength":3,"minLength":3,"type":"string","description":"The three-digit area code for the phone number."},"phoneNumber":{"maxLength":8,"minLength":7,"type":"string","description":"The main phone number excluding the area code.","format":"tel"},"extension":{"type":"string","description":"The phone extension, if applicable.","nullable":true}},"additionalProperties":false},"MerchantDemographics.Api.Models.SeasonalSchedule":{"required":["april","august","december","february","january","july","june","march","may","november","october","september"],"type":"object","properties":{"january":{"type":"boolean","description":"Indicates whether the business operates in January."},"february":{"type":"boolean","description":"Indicates whether the business operates in February."},"march":{"type":"boolean","description":"Indicates whether the business operates in March."},"april":{"type":"boolean","description":"Indicates whether the business operates in April."},"may":{"type":"boolean","description":"Indicates whether the business operates in May."},"june":{"type":"boolean","description":"Indicates whether the business operates in June."},"july":{"type":"boolean","description":"Indicates whether the business operates in July."},"august":{"type":"boolean","description":"Indicates whether the business operates in August."},"september":{"type":"boolean","description":"Indicates whether the business operates in September."},"october":{"type":"boolean","description":"Indicates whether the business operates in October."},"november":{"type":"boolean","description":"Indicates whether the business operates in November."},"december":{"type":"boolean","description":"Indicates whether the business operates in December."}},"additionalProperties":false,"description":"Indicates whether the merchant operates seasonally and specifies the months they are active."},"MerchantDemographics.Api.Models.SalesInformation":{"required":["businessID"],"type":"object","properties":{"salesInformationID":{"type":"integer","description":"The unique identifier for the sales information (excluded from Swagger documentation).","format":"int32"},"businessID":{"maximum":2147483647,"minimum":1,"type":"integer","description":"The unique identifier for the associated business.","format":"int32"},"assignedUser":{"type":"integer","description":"The user ID of the person assigned to the sales record.","format":"int32"},"referralPartner":{"type":"string","description":"The name of the referral partner, if applicable.","nullable":true},"compensationType":{"type":"string","description":"The type of compensation associated with the sales, represented as an integer.","nullable":true}},"additionalProperties":false,"description":"Represents sales-related information for a business. This class is marked as obsolete and is used only for backward compatibility."},"MerchantDemographics.Api.Models.BusinessWithLinks":{"required":["companyTypeId","dbaName","hierarchyNodeKey","phones","seasonalSchedule"],"type":"object","properties":{"_links":{"type":"object","additionalProperties":{"nullable":true},"description":"Represents a business entity with a collection of hypermedia links to related resources.","nullable":true,"readOnly":true},"businessID":{"type":"integer","description":"The unique identifier for the business.","format":"int32"},"hierarchyNodeKey":{"minLength":1,"type":"string","description":"The key representing the hierarchy node to which the business belongs."},"dbaName":{"minLength":1,"type":"string","description":"The Doing-Business-As (DBA) name of the merchant."},"merchantNumber":{"type":"string","description":"The merchant's unique identification number.","nullable":true},"emailAddress":{"type":"string","description":"The email address of the business.","nullable":true},"webSite":{"type":"string","description":"The website of the business.","nullable":true},"phones":{"type":"array","items":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.BusinessPhone"},"description":"A list of phone numbers associated with the business."},"acceptsPaperStatements":{"type":"string","description":"Indicates whether the business accepts paper statements.","nullable":true},"acceptsPaperTaxForms":{"type":"string","description":"Indicates whether the business accepts paper tax forms.","nullable":true},"companyTypeId":{"maximum":2147483647,"minimum":1,"type":"integer","description":"The identifier representing the type of the company.","format":"int32"},"isChainMerchant":{"type":"boolean","description":"Indicates whether the business is part of a chain of merchants."},"seasonalSchedule":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.SeasonalSchedule"},"salesInformation":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.SalesInformation"}},"additionalProperties":false},"MerchantDemographics.Api.Models.ErrorResults":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.BoardingError"},"nullable":true}},"additionalProperties":false},"MerchantDemographics.Api.Models.BoardingError":{"type":"object","properties":{"errorMessage":{"type":"string","description":"Describes the error and provide detailed information on what went wrong during the request processing.","nullable":true},"resultCode":{"type":"integer","description":"Code associated with the error and helps to categorize the error type or severity. (It can be any error code 400/401/501, etc depending upon its type)","format":"int32"},"timeStamp":{"type":"string","description":"DateTime in ISO 8601 format. It is read-only and automatically set to the current date and time.","format":"date-time","readOnly":true},"fieldPath":{"type":"array","items":{"type":"string"},"description":"Field path(s) where the error occurred in a data structure. It can contains any field.","nullable":true}},"additionalProperties":false}}}}
```

## Get Merchant Details

> Retrieve details of a specific merchant using the merchantNumber.

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"paths":{"/api/demographics/v1/Merchants/{merchantNumber}":{"get":{"tags":["Merchant"],"summary":"Get Merchant Details","description":"Retrieve details of a specific merchant using the merchantNumber.","parameters":[{"name":"merchantNumber","in":"path","description":"The merchant's unique identification number.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns a single merchant successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.BusinessWithLinks"}}}},"400":{"description":"If merchantNumber is null or white space.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"404":{"description":"If merchant is not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"500":{"description":"Error occurred returning merchant.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}}}}}},"components":{"schemas":{"MerchantDemographics.Api.Models.BusinessWithLinks":{"required":["companyTypeId","dbaName","hierarchyNodeKey","phones","seasonalSchedule"],"type":"object","properties":{"_links":{"type":"object","additionalProperties":{"nullable":true},"description":"Represents a business entity with a collection of hypermedia links to related resources.","nullable":true,"readOnly":true},"businessID":{"type":"integer","description":"The unique identifier for the business.","format":"int32"},"hierarchyNodeKey":{"minLength":1,"type":"string","description":"The key representing the hierarchy node to which the business belongs."},"dbaName":{"minLength":1,"type":"string","description":"The Doing-Business-As (DBA) name of the merchant."},"merchantNumber":{"type":"string","description":"The merchant's unique identification number.","nullable":true},"emailAddress":{"type":"string","description":"The email address of the business.","nullable":true},"webSite":{"type":"string","description":"The website of the business.","nullable":true},"phones":{"type":"array","items":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.BusinessPhone"},"description":"A list of phone numbers associated with the business."},"acceptsPaperStatements":{"type":"string","description":"Indicates whether the business accepts paper statements.","nullable":true},"acceptsPaperTaxForms":{"type":"string","description":"Indicates whether the business accepts paper tax forms.","nullable":true},"companyTypeId":{"maximum":2147483647,"minimum":1,"type":"integer","description":"The identifier representing the type of the company.","format":"int32"},"isChainMerchant":{"type":"boolean","description":"Indicates whether the business is part of a chain of merchants."},"seasonalSchedule":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.SeasonalSchedule"},"salesInformation":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.SalesInformation"}},"additionalProperties":false},"MerchantDemographics.Api.Models.BusinessPhone":{"required":["areaCode","phoneNumber","phoneTypeCodeID"],"type":"object","properties":{"phoneTypeCodeID":{"type":"string","description":"The code representing the type of contact, such as mobile, office, or home."},"areaCode":{"maxLength":3,"minLength":3,"type":"string","description":"The three-digit area code for the phone number."},"phoneNumber":{"maxLength":8,"minLength":7,"type":"string","description":"The main phone number excluding the area code.","format":"tel"},"extension":{"type":"string","description":"The phone extension, if applicable.","nullable":true}},"additionalProperties":false},"MerchantDemographics.Api.Models.SeasonalSchedule":{"required":["april","august","december","february","january","july","june","march","may","november","october","september"],"type":"object","properties":{"january":{"type":"boolean","description":"Indicates whether the business operates in January."},"february":{"type":"boolean","description":"Indicates whether the business operates in February."},"march":{"type":"boolean","description":"Indicates whether the business operates in March."},"april":{"type":"boolean","description":"Indicates whether the business operates in April."},"may":{"type":"boolean","description":"Indicates whether the business operates in May."},"june":{"type":"boolean","description":"Indicates whether the business operates in June."},"july":{"type":"boolean","description":"Indicates whether the business operates in July."},"august":{"type":"boolean","description":"Indicates whether the business operates in August."},"september":{"type":"boolean","description":"Indicates whether the business operates in September."},"october":{"type":"boolean","description":"Indicates whether the business operates in October."},"november":{"type":"boolean","description":"Indicates whether the business operates in November."},"december":{"type":"boolean","description":"Indicates whether the business operates in December."}},"additionalProperties":false,"description":"Indicates whether the merchant operates seasonally and specifies the months they are active."},"MerchantDemographics.Api.Models.SalesInformation":{"required":["businessID"],"type":"object","properties":{"salesInformationID":{"type":"integer","description":"The unique identifier for the sales information (excluded from Swagger documentation).","format":"int32"},"businessID":{"maximum":2147483647,"minimum":1,"type":"integer","description":"The unique identifier for the associated business.","format":"int32"},"assignedUser":{"type":"integer","description":"The user ID of the person assigned to the sales record.","format":"int32"},"referralPartner":{"type":"string","description":"The name of the referral partner, if applicable.","nullable":true},"compensationType":{"type":"string","description":"The type of compensation associated with the sales, represented as an integer.","nullable":true}},"additionalProperties":false,"description":"Represents sales-related information for a business. This class is marked as obsolete and is used only for backward compatibility."},"MerchantDemographics.Api.Models.ErrorResults":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.BoardingError"},"nullable":true}},"additionalProperties":false},"MerchantDemographics.Api.Models.BoardingError":{"type":"object","properties":{"errorMessage":{"type":"string","description":"Describes the error and provide detailed information on what went wrong during the request processing.","nullable":true},"resultCode":{"type":"integer","description":"Code associated with the error and helps to categorize the error type or severity. (It can be any error code 400/401/501, etc depending upon its type)","format":"int32"},"timeStamp":{"type":"string","description":"DateTime in ISO 8601 format. It is read-only and automatically set to the current date and time.","format":"date-time","readOnly":true},"fieldPath":{"type":"array","items":{"type":"string"},"description":"Field path(s) where the error occurred in a data structure. It can contains any field.","nullable":true}},"additionalProperties":false}}}}
```

## Update Merchant Details

> Update the details of an existing merchant identified by the merchant number.> \
> &#x20;          &#x20;> \
> Note:&#x20;> \
> If the merchant is locked, the update is staged instead of applied immediately.> \
> After a successful update, a merchant change event is queued.

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"paths":{"/api/demographics/v1/Merchants/{merchantNumber}":{"put":{"tags":["Merchant"],"summary":"Update Merchant Details","description":"Update the details of an existing merchant identified by the merchant number.\r\n            \r\nNote: \r\nIf the merchant is locked, the update is staged instead of applied immediately.\r\nAfter a successful update, a merchant change event is queued.","parameters":[{"name":"merchantNumber","in":"path","description":"The merchant's unique identification number.","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Business model used to update the merchant details.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.Business"}}},"required":true},"responses":{"200":{"description":"Updates a merchant successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.BusinessWithLinks"}}}},"202":{"description":"Accepted: Request change was accepted.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StagedChange.Client.Models.StagedChangeResponse"}}}},"400":{"description":"Bad Request: If merchant number is null/empty or business object is null or If data is invalid or MCC code not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Validation.SerializableValidationResult"}}}},"401":{"description":"Unauthorized: User does not have the required role or access.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"404":{"description":"Not Found: Resource not found exception.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"409":{"description":"Conflict: Request change was rejected because there is another one.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"500":{"description":"Internal Server Error: This could be due to system errors. Please contact support for assistance.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}}}}}},"components":{"schemas":{"MerchantDemographics.Api.Models.Business":{"required":["companyTypeId","dbaName","hierarchyNodeKey","phones","seasonalSchedule"],"type":"object","properties":{"businessID":{"type":"integer","description":"The unique identifier for the business.","format":"int32"},"hierarchyNodeKey":{"minLength":1,"type":"string","description":"The key representing the hierarchy node to which the business belongs."},"dbaName":{"minLength":1,"type":"string","description":"The Doing-Business-As (DBA) name of the merchant."},"merchantNumber":{"type":"string","description":"The merchant's unique identification number.","nullable":true},"emailAddress":{"type":"string","description":"The email address of the business.","nullable":true},"webSite":{"type":"string","description":"The website of the business.","nullable":true},"phones":{"type":"array","items":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.BusinessPhone"},"description":"A list of phone numbers associated with the business."},"acceptsPaperStatements":{"type":"string","description":"Indicates whether the business accepts paper statements.","nullable":true},"acceptsPaperTaxForms":{"type":"string","description":"Indicates whether the business accepts paper tax forms.","nullable":true},"companyTypeId":{"maximum":2147483647,"minimum":1,"type":"integer","description":"The identifier representing the type of the company.","format":"int32"},"isChainMerchant":{"type":"boolean","description":"Indicates whether the business is part of a chain of merchants."},"seasonalSchedule":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.SeasonalSchedule"},"salesInformation":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.SalesInformation"}},"additionalProperties":false},"MerchantDemographics.Api.Models.BusinessPhone":{"required":["areaCode","phoneNumber","phoneTypeCodeID"],"type":"object","properties":{"phoneTypeCodeID":{"type":"string","description":"The code representing the type of contact, such as mobile, office, or home."},"areaCode":{"maxLength":3,"minLength":3,"type":"string","description":"The three-digit area code for the phone number."},"phoneNumber":{"maxLength":8,"minLength":7,"type":"string","description":"The main phone number excluding the area code.","format":"tel"},"extension":{"type":"string","description":"The phone extension, if applicable.","nullable":true}},"additionalProperties":false},"MerchantDemographics.Api.Models.SeasonalSchedule":{"required":["april","august","december","february","january","july","june","march","may","november","october","september"],"type":"object","properties":{"january":{"type":"boolean","description":"Indicates whether the business operates in January."},"february":{"type":"boolean","description":"Indicates whether the business operates in February."},"march":{"type":"boolean","description":"Indicates whether the business operates in March."},"april":{"type":"boolean","description":"Indicates whether the business operates in April."},"may":{"type":"boolean","description":"Indicates whether the business operates in May."},"june":{"type":"boolean","description":"Indicates whether the business operates in June."},"july":{"type":"boolean","description":"Indicates whether the business operates in July."},"august":{"type":"boolean","description":"Indicates whether the business operates in August."},"september":{"type":"boolean","description":"Indicates whether the business operates in September."},"october":{"type":"boolean","description":"Indicates whether the business operates in October."},"november":{"type":"boolean","description":"Indicates whether the business operates in November."},"december":{"type":"boolean","description":"Indicates whether the business operates in December."}},"additionalProperties":false,"description":"Indicates whether the merchant operates seasonally and specifies the months they are active."},"MerchantDemographics.Api.Models.SalesInformation":{"required":["businessID"],"type":"object","properties":{"salesInformationID":{"type":"integer","description":"The unique identifier for the sales information (excluded from Swagger documentation).","format":"int32"},"businessID":{"maximum":2147483647,"minimum":1,"type":"integer","description":"The unique identifier for the associated business.","format":"int32"},"assignedUser":{"type":"integer","description":"The user ID of the person assigned to the sales record.","format":"int32"},"referralPartner":{"type":"string","description":"The name of the referral partner, if applicable.","nullable":true},"compensationType":{"type":"string","description":"The type of compensation associated with the sales, represented as an integer.","nullable":true}},"additionalProperties":false,"description":"Represents sales-related information for a business. This class is marked as obsolete and is used only for backward compatibility."},"MerchantDemographics.Api.Models.BusinessWithLinks":{"required":["companyTypeId","dbaName","hierarchyNodeKey","phones","seasonalSchedule"],"type":"object","properties":{"_links":{"type":"object","additionalProperties":{"nullable":true},"description":"Represents a business entity with a collection of hypermedia links to related resources.","nullable":true,"readOnly":true},"businessID":{"type":"integer","description":"The unique identifier for the business.","format":"int32"},"hierarchyNodeKey":{"minLength":1,"type":"string","description":"The key representing the hierarchy node to which the business belongs."},"dbaName":{"minLength":1,"type":"string","description":"The Doing-Business-As (DBA) name of the merchant."},"merchantNumber":{"type":"string","description":"The merchant's unique identification number.","nullable":true},"emailAddress":{"type":"string","description":"The email address of the business.","nullable":true},"webSite":{"type":"string","description":"The website of the business.","nullable":true},"phones":{"type":"array","items":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.BusinessPhone"},"description":"A list of phone numbers associated with the business."},"acceptsPaperStatements":{"type":"string","description":"Indicates whether the business accepts paper statements.","nullable":true},"acceptsPaperTaxForms":{"type":"string","description":"Indicates whether the business accepts paper tax forms.","nullable":true},"companyTypeId":{"maximum":2147483647,"minimum":1,"type":"integer","description":"The identifier representing the type of the company.","format":"int32"},"isChainMerchant":{"type":"boolean","description":"Indicates whether the business is part of a chain of merchants."},"seasonalSchedule":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.SeasonalSchedule"},"salesInformation":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.SalesInformation"}},"additionalProperties":false},"StagedChange.Client.Models.StagedChangeResponse":{"type":"object","properties":{"uniqueIdentifier":{"type":"string","nullable":true}},"additionalProperties":false},"MerchantDemographics.Api.Validation.SerializableValidationResult":{"type":"object","properties":{"errorMessagesByMemberName":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"},"nullable":true},"description":"A dictionary of error messages categorized by member name.","nullable":true,"readOnly":true},"generalErrorMessages":{"type":"array","items":{"type":"string"},"description":"A list of general error messages not associated with any specific member.","nullable":true,"readOnly":true},"success":{"type":"boolean","description":"Indicates whether the validation was successful.","readOnly":true}},"additionalProperties":false},"MerchantDemographics.Api.Models.ErrorResults":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.BoardingError"},"nullable":true}},"additionalProperties":false},"MerchantDemographics.Api.Models.BoardingError":{"type":"object","properties":{"errorMessage":{"type":"string","description":"Describes the error and provide detailed information on what went wrong during the request processing.","nullable":true},"resultCode":{"type":"integer","description":"Code associated with the error and helps to categorize the error type or severity. (It can be any error code 400/401/501, etc depending upon its type)","format":"int32"},"timeStamp":{"type":"string","description":"DateTime in ISO 8601 format. It is read-only and automatically set to the current date and time.","format":"date-time","readOnly":true},"fieldPath":{"type":"array","items":{"type":"string"},"description":"Field path(s) where the error occurred in a data structure. It can contains any field.","nullable":true}},"additionalProperties":false}}}}
```

## Delete a Merchant Record

> Delete an existing merchant record identified by the merchant number.> \
> &#x20;          &#x20;> \
> The operation validates the request through multiple steps:> \
> \- Verifies the merchant number and checks if the merchant is locked> \
> \- Rejects the request if the merchant is locked and changes aren't allowed> \
> \- Stages changes before processing the deletion to ensure compliance with business rules> \
> \- Updates the merchant's lifecycle status> \
> \- Queues changes securely

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"paths":{"/api/demographics/v1/Merchants/{merchantNumber}":{"delete":{"tags":["Merchant"],"summary":"Delete a Merchant Record","description":"Delete an existing merchant record identified by the merchant number.\r\n            \r\nThe operation validates the request through multiple steps:\r\n- Verifies the merchant number and checks if the merchant is locked\r\n- Rejects the request if the merchant is locked and changes aren't allowed\r\n- Stages changes before processing the deletion to ensure compliance with business rules\r\n- Updates the merchant's lifecycle status\r\n- Queues changes securely","parameters":[{"name":"merchantNumber","in":"path","description":"The merchant's unique identification number.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Deletes a merchant successfully."},"202":{"description":"Accepted: Changes are staged and will be processed asynchronously."},"400":{"description":"Bad Request: MerchantNumber is null/empty or operation is invalid due to locked status response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"401":{"description":"Unauthorized: User does not have the required role or access.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"403":{"description":"Forbidden: The user does not have the necessary permissions to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"404":{"description":"Not Found: Merchant not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"500":{"description":"Internal Server Error: This could be due to system errors. Please contact support for assistance.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}}}}}},"components":{"schemas":{"MerchantDemographics.Api.Models.ErrorResults":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.BoardingError"},"nullable":true}},"additionalProperties":false},"MerchantDemographics.Api.Models.BoardingError":{"type":"object","properties":{"errorMessage":{"type":"string","description":"Describes the error and provide detailed information on what went wrong during the request processing.","nullable":true},"resultCode":{"type":"integer","description":"Code associated with the error and helps to categorize the error type or severity. (It can be any error code 400/401/501, etc depending upon its type)","format":"int32"},"timeStamp":{"type":"string","description":"DateTime in ISO 8601 format. It is read-only and automatically set to the current date and time.","format":"date-time","readOnly":true},"fieldPath":{"type":"array","items":{"type":"string"},"description":"Field path(s) where the error occurred in a data structure. It can contains any field.","nullable":true}},"additionalProperties":false}}}}
```

## Get Merchant Physical Address

> Retrieve the merchant's primary physical address.> \
> &#x20;          &#x20;> \
> Note:> \
> -The accuracy of the provided address is verified through secure access using the "MID" authorisation policy.

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"paths":{"/api/demographics/v1/MerchantPhysicalAddresses/{merchantNumber}":{"get":{"tags":["Merchant"],"summary":"Get Merchant Physical Address","description":"Retrieve the merchant's primary physical address.\r\n            \r\nNote:\r\n-The accuracy of the provided address is verified through secure access using the \"MID\" authorisation policy.","parameters":[{"name":"merchantNumber","in":"path","description":"The merchant's unique identification number.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns a merchant's physical address successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.BusinessPhysicalAddress"}}}},"400":{"description":"Bad Request: If merchant number is null/empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"401":{"description":"Unauthorized: User does not have the required role or access.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"403":{"description":"Forbidden: The user does not have the necessary permissions to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"404":{"description":"Not Found: Business Physical address not found for MerchantNumber provided.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"500":{"description":"Internal Server Error: This could be due to system errors. Please contact support for assistance","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}}}}}},"components":{"schemas":{"MerchantDemographics.Api.Models.BusinessPhysicalAddress":{"required":["city","countryCode","line1","stateCode","zip"],"type":"object","properties":{"stateCode":{"maxLength":10,"minLength":2,"type":"string","description":"The state code where the business is located. The code is a two-letter abbreviation."},"zip":{"minLength":1,"type":"string","description":"The zip code of the business's physical address."},"countryCode":{"maximum":840,"minimum":1,"type":"integer","description":"The country code representing the country where the business is located.","format":"int32"},"line1":{"minLength":1,"type":"string","description":"The first line of the business's physical address. Possible value: street address."},"line2":{"type":"string","description":"The second line of the business's physical address. Possible values are optional, for apartment, suite.","nullable":true},"line3":{"type":"string","description":"The third line of the business's physical address (optional).","nullable":true},"city":{"minLength":1,"type":"string","description":"The city name where the business is located."}},"additionalProperties":false,"description":"Represents the physical address of a business."},"MerchantDemographics.Api.Models.ErrorResults":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.BoardingError"},"nullable":true}},"additionalProperties":false},"MerchantDemographics.Api.Models.BoardingError":{"type":"object","properties":{"errorMessage":{"type":"string","description":"Describes the error and provide detailed information on what went wrong during the request processing.","nullable":true},"resultCode":{"type":"integer","description":"Code associated with the error and helps to categorize the error type or severity. (It can be any error code 400/401/501, etc depending upon its type)","format":"int32"},"timeStamp":{"type":"string","description":"DateTime in ISO 8601 format. It is read-only and automatically set to the current date and time.","format":"date-time","readOnly":true},"fieldPath":{"type":"array","items":{"type":"string"},"description":"Field path(s) where the error occurred in a data structure. It can contains any field.","nullable":true}},"additionalProperties":false}}}}
```

## Update Merchant Physical Address

> Update the physical address for a merchant identified by the merchant number. &#x20;> \
> Address details are provided in the request body.> \
> &#x20;          &#x20;> \
> Note:> \
> The accuracy of the provided address is verified through secure access using the "MID" authorisation policy.

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"paths":{"/api/demographics/v1/MerchantPhysicalAddresses/{merchantNumber}":{"put":{"tags":["Merchant"],"summary":"Update Merchant Physical Address","description":"Update the physical address for a merchant identified by the merchant number.  \r\nAddress details are provided in the request body.\r\n            \r\nNote:\r\nThe accuracy of the provided address is verified through secure access using the \"MID\" authorisation policy.","parameters":[{"name":"merchantNumber","in":"path","description":"The merchant's unique identification number.","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Contains Merchant physical address details.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.BusinessPhysicalAddress"}}},"required":true},"responses":{"200":{"description":"Updates a merchant's physical address successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.BusinessPhysicalAddress"}}}},"202":{"description":"Accepted: Request change is accepted.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StagedChange.Client.Models.StagedChangeResponse"}}}},"400":{"description":"Bad Request: If merchant number is null/empty or physicalAddress is null or If data is invalid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"401":{"description":"Unauthorized: User does not have the required role or access.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"403":{"description":"Forbidden: The user does not have the necessary permissions to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"404":{"description":"Not Found: If merchant or its physical address not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"409":{"description":"Conflict: Request change is rejected because there is another one.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"500":{"description":"Internal Server Error: This could be due to system errors. Please contact support for assistance","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}}}}}},"components":{"schemas":{"MerchantDemographics.Api.Models.BusinessPhysicalAddress":{"required":["city","countryCode","line1","stateCode","zip"],"type":"object","properties":{"stateCode":{"maxLength":10,"minLength":2,"type":"string","description":"The state code where the business is located. The code is a two-letter abbreviation."},"zip":{"minLength":1,"type":"string","description":"The zip code of the business's physical address."},"countryCode":{"maximum":840,"minimum":1,"type":"integer","description":"The country code representing the country where the business is located.","format":"int32"},"line1":{"minLength":1,"type":"string","description":"The first line of the business's physical address. Possible value: street address."},"line2":{"type":"string","description":"The second line of the business's physical address. Possible values are optional, for apartment, suite.","nullable":true},"line3":{"type":"string","description":"The third line of the business's physical address (optional).","nullable":true},"city":{"minLength":1,"type":"string","description":"The city name where the business is located."}},"additionalProperties":false,"description":"Represents the physical address of a business."},"StagedChange.Client.Models.StagedChangeResponse":{"type":"object","properties":{"uniqueIdentifier":{"type":"string","nullable":true}},"additionalProperties":false},"MerchantDemographics.Api.Models.ErrorResults":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.BoardingError"},"nullable":true}},"additionalProperties":false},"MerchantDemographics.Api.Models.BoardingError":{"type":"object","properties":{"errorMessage":{"type":"string","description":"Describes the error and provide detailed information on what went wrong during the request processing.","nullable":true},"resultCode":{"type":"integer","description":"Code associated with the error and helps to categorize the error type or severity. (It can be any error code 400/401/501, etc depending upon its type)","format":"int32"},"timeStamp":{"type":"string","description":"DateTime in ISO 8601 format. It is read-only and automatically set to the current date and time.","format":"date-time","readOnly":true},"fieldPath":{"type":"array","items":{"type":"string"},"description":"Field path(s) where the error occurred in a data structure. It can contains any field.","nullable":true}},"additionalProperties":false}}}}
```

## Get Merchant Mailing Address

> Retrieve the merchant's mailing address identified by the merchant number.> \
> &#x20;          &#x20;> \
> Note: &#x20;> \
> The merchant number must be valid and exist in the system for the request to succeed. &#x20;> \
> Access is secured using the "MID" authorisation policy and requires the "getaddress" entitlement.

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"paths":{"/api/demographics/v1/MerchantMailingAddresses/{merchantNumber}":{"get":{"tags":["Merchant"],"summary":"Get Merchant Mailing Address","description":"Retrieve the merchant's mailing address identified by the merchant number.\r\n            \r\nNote:  \r\nThe merchant number must be valid and exist in the system for the request to succeed.  \r\nAccess is secured using the \"MID\" authorisation policy and requires the \"getaddress\" entitlement.","parameters":[{"name":"merchantNumber","in":"path","description":"The merchant's unique identification number.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns a merchant's mailing address successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.BusinessMailingAddress"}}}},"400":{"description":"Bad Request: If merchantNumber is null/empty or mailingAddress is null or If data is invalid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"401":{"description":"Unauthorized: User does not have the required role or access.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"403":{"description":"Forbidden: The user does not have the necessary permissions to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"404":{"description":"Not Found: If merchant or its mailing address not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"500":{"description":"Internal Server Error: This could be due to system errors. Please contact support for assistance.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}}}}}},"components":{"schemas":{"MerchantDemographics.Api.Models.BusinessMailingAddress":{"required":["city","countryCode","line1","stateCode","zip"],"type":"object","properties":{"stateCode":{"maxLength":10,"minLength":2,"type":"string","description":"The state code of the mailing address (2 digits)."},"zip":{"minLength":1,"type":"string","description":"The zip code of the mailing address."},"countryCode":{"maximum":840,"minimum":1,"type":"integer","description":"The country code representing the country of the mailing address. (Any code between 1 and 840)","format":"int32"},"line1":{"minLength":1,"type":"string","description":"The first line of the mailing address."},"line2":{"type":"string","description":"The second line of the mailing address (optional).","nullable":true},"line3":{"type":"string","description":"The third line of the mailing address (optional).","nullable":true},"city":{"minLength":1,"type":"string","description":"The city of the mailing address."}},"additionalProperties":false},"MerchantDemographics.Api.Models.ErrorResults":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.BoardingError"},"nullable":true}},"additionalProperties":false},"MerchantDemographics.Api.Models.BoardingError":{"type":"object","properties":{"errorMessage":{"type":"string","description":"Describes the error and provide detailed information on what went wrong during the request processing.","nullable":true},"resultCode":{"type":"integer","description":"Code associated with the error and helps to categorize the error type or severity. (It can be any error code 400/401/501, etc depending upon its type)","format":"int32"},"timeStamp":{"type":"string","description":"DateTime in ISO 8601 format. It is read-only and automatically set to the current date and time.","format":"date-time","readOnly":true},"fieldPath":{"type":"array","items":{"type":"string"},"description":"Field path(s) where the error occurred in a data structure. It can contains any field.","nullable":true}},"additionalProperties":false}}}}
```

## Update Merchant Mailing Address

> Update the mailing address for a merchant identified by the merchant number.&#x20;> \
> The mailing address is used for official correspondence and can be the same as or different from the physical address. Address details are provided in the request body.

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"paths":{"/api/demographics/v1/MerchantMailingAddresses/{merchantNumber}":{"put":{"tags":["Merchant"],"summary":"Update Merchant Mailing Address","description":"Update the mailing address for a merchant identified by the merchant number. \r\nThe mailing address is used for official correspondence and can be the same as or different from the physical address. Address details are provided in the request body.","parameters":[{"name":"merchantNumber","in":"path","description":"The merchant's unique identification number.","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Contains mailing address details to update..","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.BusinessMailingAddress"}}},"required":true},"responses":{"200":{"description":"Updates a merchant's mailing address successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.BusinessMailingAddress"}}}},"202":{"description":"Accepted: Request change was accepted.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StagedChange.Client.Models.StagedChangeResponse"}}}},"400":{"description":"Bad Request: If merchant number is null/empty or merchant mailing Address cannot be updated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Validation.SerializableValidationResult"}}}},"401":{"description":"Unauthorized: User does not have the required role or access.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"403":{"description":"Forbidden: The user does not have the necessary permissions to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"404":{"description":"Not Found: If merchant not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"409":{"description":"Conflict: Request change was rejected because there is another one.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"500":{"description":"Internal Server Error: This could be due to system errors. Please contact support for assistance.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}}}}}},"components":{"schemas":{"MerchantDemographics.Api.Models.BusinessMailingAddress":{"required":["city","countryCode","line1","stateCode","zip"],"type":"object","properties":{"stateCode":{"maxLength":10,"minLength":2,"type":"string","description":"The state code of the mailing address (2 digits)."},"zip":{"minLength":1,"type":"string","description":"The zip code of the mailing address."},"countryCode":{"maximum":840,"minimum":1,"type":"integer","description":"The country code representing the country of the mailing address. (Any code between 1 and 840)","format":"int32"},"line1":{"minLength":1,"type":"string","description":"The first line of the mailing address."},"line2":{"type":"string","description":"The second line of the mailing address (optional).","nullable":true},"line3":{"type":"string","description":"The third line of the mailing address (optional).","nullable":true},"city":{"minLength":1,"type":"string","description":"The city of the mailing address."}},"additionalProperties":false},"StagedChange.Client.Models.StagedChangeResponse":{"type":"object","properties":{"uniqueIdentifier":{"type":"string","nullable":true}},"additionalProperties":false},"MerchantDemographics.Api.Validation.SerializableValidationResult":{"type":"object","properties":{"errorMessagesByMemberName":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"},"nullable":true},"description":"A dictionary of error messages categorized by member name.","nullable":true,"readOnly":true},"generalErrorMessages":{"type":"array","items":{"type":"string"},"description":"A list of general error messages not associated with any specific member.","nullable":true,"readOnly":true},"success":{"type":"boolean","description":"Indicates whether the validation was successful.","readOnly":true}},"additionalProperties":false},"MerchantDemographics.Api.Models.ErrorResults":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.BoardingError"},"nullable":true}},"additionalProperties":false},"MerchantDemographics.Api.Models.BoardingError":{"type":"object","properties":{"errorMessage":{"type":"string","description":"Describes the error and provide detailed information on what went wrong during the request processing.","nullable":true},"resultCode":{"type":"integer","description":"Code associated with the error and helps to categorize the error type or severity. (It can be any error code 400/401/501, etc depending upon its type)","format":"int32"},"timeStamp":{"type":"string","description":"DateTime in ISO 8601 format. It is read-only and automatically set to the current date and time.","format":"date-time","readOnly":true},"fieldPath":{"type":"array","items":{"type":"string"},"description":"Field path(s) where the error occurred in a data structure. It can contains any field.","nullable":true}},"additionalProperties":false}}}}
```
